Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class FillStrategy.Factory<T>

    java.lang.Object
      org.apache.openjpa.kernel.FillStrategy.Factory<T>

All Implemented Interfaces:
  FillStrategy<T>

Enclosing interface:
  FillStrategy<T>

    public static class FillStrategy.Factory<T>

extends Object
implements FillStrategy<T>

Populate an instance created by given factory using a given put(key,value) method. If the first argument of the given put method is integer then fill the values by index else fill the values with alias key.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.openjpa.kernel.FillStrategy
`FillStrategy.Array<T>, FillStrategy.Assign<T>, FillStrategy.Bean<T>, FillStrategy.Factory<T>, FillStrategy.Map<T>, FillStrategy.NewInstance<T>`

Field Summary
`(package private) ObjectFactory<T>` | `factory`
`(package private) boolean` | `isArray`
`(package private) Method` | `putMethod`

Fields inherited from interface org.apache.openjpa.kernel.FillStrategy
`_loc`

Constructor Summary
`FillStrategy.Factory(ObjectFactory<T> factory, Method put)`

Method Summary
`T` | `fill(Object[] values, Class<?>[] types, String[] aliases)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    final ObjectFactory<T> factory

### putMethod

    final Method putMethod

### isArray

    final boolean isArray

Constructor Detail

### FillStrategy.Factory

    public FillStrategy.Factory(ObjectFactory<T> factory,
                                Method put)

Method Detail

### fill

    public T fill(Object[] values,
                  Class<?>[] types,
                  String[] aliases)

  Specified by:
    `fill` in interface `FillStrategy<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.